FROM fedora:latest
LABEL maintainer Sébastien Gilles "sebastien.gilles@inria.fr"

RUN (dnf update -y && dnf upgrade -y -q)

RUN dnf install -y git cmake clang gcc gcc-c++ ninja-build which hostname make && dnf clean packages

# Create non root user
ENV USER "dev_cpp"
RUN useradd --create-home ${USER}
USER ${USER}

WORKDIR /home/${USER}/training_cpp